EN IT

Shared Access

Endpoints for anonymous/shared access to assets using a shared access key.

Base URL: https://api.contit.cloud

GET /shared-access/{workspaceId}/asset/{id}

Download asset anonymously

Download an asset file without authentication using a shared access key. The key must be provided as a query parameter.

Requires AllowAnonymous policy

Path Parameters

NameTypeRequiredDescription
workspaceId string ✓ The workspace ID that owns the asset
id string ✓ The asset ID (GUID)

Query Parameters

NameTypeRequiredDescription
sharedAccessKey string ✓ The shared access key that grants anonymous access to this asset

Responses

200 Success — binary file data
(binary) binary Raw file bytes
403 Forbidden — invalid or expired shared access key
404 Not Found

Code examples

curl -X GET "https://api.contit.cloud/shared-access/{workspaceId}/asset/{id}" \
  -H "X-Api-Key: YOUR_API_KEY"
using var http = new HttpClient();
http.DefaultRequestHeaders.Add("X-Api-Key", "YOUR_API_KEY");

var response = await http.GetAsync("https://api.contit.cloud/shared-access/{workspaceId}/asset/{id}");

response.EnsureSuccessStatusCode();
var json = await response.Content.ReadAsStringAsync();
const response = await fetch(
  "https://api.contit.cloud/shared-access/{workspaceId}/asset/{id}",
  {
    method: "GET",
    headers: {
      "X-Api-Key": "YOUR_API_KEY",
    }
  }
);

const data = await response.json();
import requests

headers = {"X-Api-Key": "YOUR_API_KEY"}

response = requests.get(
    "https://api.contit.cloud/shared-access/{workspaceId}/asset/{id}",
    headers=headers
)

data = response.json()
Example Request
GET /shared-access/ws-a1b2c3d4/asset/c3d4e5f6-a7b8-9012-cdef-123456789012?sharedAccessKey=sk_live_abc123def456ghi789jkl012
Example Response 200
(binary file data — Content-Type varies by asset)
Try it Live